org.hibernate.search.elasticsearch

## Interface ElasticsearchProjectionConstants

-     public interface ElasticsearchProjectionConstants

  Projection constants specific to Elasticsearch.

  Implementator's note: When adding new constants, be sure to add them to `ElasticsearchHSQueryImpl#SUPPORTED_PROJECTION_CONSTANTS`, too.

  Author:
    Gunnar Morling

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID` Object id property
    `static String` | `OBJECT_CLASS` Represents the Hibernate entity class returned in a search.
    `static String` | `SCORE` The legacy document's score from a search.
    `static String` | `SOURCE` The JSON document as stored in Elasticsearch.
    `static String` | `SPATIAL_DISTANCE` Represents the distance (in kilometers) between an entity and the center of the search area in case of a spatial query.
    `static String` | `THIS` Represents the Hibernate entity returned in a search.
    `static String` | `TIMED_OUT` Whether the search timed out on the Elasticsearch server or not, as a `Boolean`.
    `static String` | `TOOK` The time Elasticsearch took to execute the search, in milliseconds and as an `Integer`.

- - ### Field Detail

    - #### THIS

          static final String THIS

      Represents the Hibernate entity returned in a search.
      See Also:
        Constant Field Values

    - #### ID

          static final String ID

      Object id property
      See Also:
        Constant Field Values

    - #### SCORE

          static final String SCORE

      The legacy document's score from a search.
      See Also:
        Constant Field Values

    - #### OBJECT_CLASS

          static final String OBJECT_CLASS

      Represents the Hibernate entity class returned in a search. In contrast to the other constants this constant represents an actual field value of the underlying Lucene document and hence can directly be used in queries.
      See Also:
        Constant Field Values

    - #### SPATIAL_DISTANCE

          static final String SPATIAL_DISTANCE

      Represents the distance (in kilometers) between an entity and the center of the search area in case of a spatial query.
      See Also:
        Constant Field Values

    - #### SOURCE

          static final String SOURCE

      The JSON document as stored in Elasticsearch.
      See Also:
        Constant Field Values

    - #### TOOK

          static final String TOOK

      The time Elasticsearch took to execute the search, in milliseconds and as an `Integer`.

      The time is computed on the server side.

      See Also:
        Constant Field Values

    - #### TIMED_OUT

          static final String TIMED_OUT

      Whether the search timed out on the Elasticsearch server or not, as a `Boolean`.

      Note that a timed-out search may still return results, they are just incomplete.

      This does not translate a network timeout while reaching out to the Elasticsearch server, but a timeout internal to Elasticsearch itself.

      See Also:
        Constant Field Values

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved